# Hybrid Fish School Search

Hybrid optimization algorithm based on the collective behavior of fish schools and classical optimization methods.

### Getting Started

To get started, [install Docker](https://docs.docker.com/install/) on your PC running Ubuntu 18.04 or higher.

```sh
# Run the following command to have the IPython container up and running.
make keras
```

### Running Distributed Scripts

To run disributed scripts like `distributed-fish-school-search.py` and alike, use the following instructions:

```
usage: template.py [-h] --type TYPE --task_index TASK_INDEX --worker WORKER --server SERVER

optional arguments:
  -h, --help            show this help message and exit
  --type TYPE           Job name, either ps or worker
  --task_index TASK_INDEX
                        Task index, 0 when ps, i when worker
  --worker WORKER       Worker address
  --server SERVER       Server address
```

For example, to start the server node, run:

```sh
python3 run.py --type ps --task_index 0 --worker 127.0.0.1:5001 --server 127.0.0.1:5000
```
